<template>
	<v-app>
		<v-toolbar app>
			<v-toolbar-title class="headline text-uppercase">
				<router-link tag="span" to="/">{{ $appName }}&nbsp;</router-link>
			</v-toolbar-title>
			<v-spacer></v-spacer>
			<v-btn flat to="/about">
				<span class="mr-2">{{ $t("static.aboutMe") }}</span>
			</v-btn>
			<v-btn flat href="https://gitlab.com/Tsukugi" target="_blank">
				<span class="mr-2">Repo</span>
			</v-btn>
		</v-toolbar>
		<v-content transition="slide-x-transition">
			<router-view></router-view>
		</v-content>
	</v-app>
</template>

<script lang="ts">
import MainView from "./views/Main.vue";
interface Data {}
export default {
	name: "App",
	components: {
		MainView,
	},
};
</script>

<style lang="scss" scoped>
router-link {
	cursor: pointer;
}
</style>
